
Name:          contiperf
Version:       2.0.0
Release:       %mkrel 1
Summary:       databene ContiPerf
Group:         Development/Java
License:       ASL 2.0, BSD, EPL, LGPLv3
Url:           http://databene.org/contiperf/
# svn co https://contiperf.svn.sourceforge.net/svnroot/contiperf/tags/release-2.0.0 contiperf-2.0.0
# tar czf contiperf-2.0.0-src-svn.tar.gz contiperf-2.0.0
Source0:       contiperf-2.0.0-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: junit4

BuildRequires: jdepend-maven-plugin
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-wagon
BuildRequires: maven-surefire-provider-junit4

BuildRequires: forge-parent

Requires:      junit4

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
ContiPerf is an open source testing utility that enables the user to easily
convert JUnit 4 test cases into performance tests.
    
%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# junit4
sed -i "s|<version>4.9</version>|<version>4.8.2</version>|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc Apache_License-2.0.txt bsd-license.txt epl-v10.html lgpl-version3.txt

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Mar 03 2012 gil <gil> 2.0.0-1.mga2
+ Revision: 217035
- imported package contiperf

